<template>
  <v-row>
    <ClientOnly fallback-tag="span" fallback="Ładowanie">
      <div>
        <SpinnerComponent v-if="spinner" />
        <LoginComponent @spinner="handleSpinner" />
      </div>
    </ClientOnly>
    <v-col cols="12" sm="12" md="12">
      <KuSobieLogo />
      <ClientOnly>
        <div>
          <MainImage class="main-image" />
        </div>
      </ClientOnly>
      <RegisterForm class="register-form" />
      <v-spacer />
    </v-col>
  </v-row>
</template>
<script>
export default {
  name: 'IndexPage',

  data() {
    return {
      spinner: false
    }
  },

  mounted() {
    this.$bus.$emit('show-menu');
  },

  methods: {

    handleSpinner(data) {
      this.spinner = data;
    }

  }
}
</script>
<style scoped lang="scss">
.main-image {
  margin-top: 20px;
}
.register-form {
  @media (max-width: 1264px) and (min-width: 961px) {
    top: -477px;
  }
  @media (max-width: 960px) {
    top: -416px;
  }
  display: flex;
  position: relative;
  top: -460px;
  right: -79px;
  width: 80%;
}
</style>
